-include $(STAGINGDIR)/components.config

ifdef CONFIG_SAH_SERVICES_PCB_CLI_USER_CHECK
CFLAGS +=  $(shell pkg-config --cflags usermngt)
LDFLAGS += $(shell pkg-config --libs usermngt)
endif

OBJECTS = main.o tty.o req.o tab.o filter.o util.o env.o

CFLAGS += -fPIC -Werror -Wall -Wextra -g  $(shell pkg-config --cflags pcb)
CFLAGS += -I../include_priv -I$(STAGINGDIR)/include 
LDFLAGS += -L$(STAGINGDIR)/lib $(shell pkg-config --libs pcb)

ifeq ($(COVERAGE),y)
  CFLAGS += -fprofile-arcs -ftest-coverage
  LDFLAGS += -fprofile-arcs -ftest-coverage
endif

all: pcb_cli

pcb_cli: $(OBJECTS) $(STATIC_LIBS)
	$(CC) -o $@ $(OBJECTS) $(STATIC_LIBS) $(LDFLAGS)

-include $(OBJECTS:.o=.d)

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<
	@$(CC) $(CFLAGS) -MM -MP -MT '$(@) $(@:.o=.d)' -MF $(@:.o=.d) $(<)

clean:
	rm -f $(OBJECTS) pcb_cli
	rm -f *.d

.PHONY: all clean
